GroupControllerUpdateCustomAttributesForGroup Method |
POST /Group/UpdateCustomAttributesForGroup/{id}
Updates the custom attributes for the specified group.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("UpdateCustomAttributesForGroup")]
public IActionResult UpdateCustomAttributesForGroup(
Guid id,
[FromBodyAttribute] IList<CustomAttributeData> customAttributes,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("UpdateCustomAttributesForGroup")>
Public Function UpdateCustomAttributesForGroup (
id As Guid,
<FromBodyAttribute> customAttributes As IList(Of CustomAttributeData),
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"UpdateCustomAttributesForGroup")]
IActionResult^ UpdateCustomAttributesForGroup(
Guid id,
[FromBodyAttribute] IList<CustomAttributeData^>^ customAttributes,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("UpdateCustomAttributesForGroup")>]
member UpdateCustomAttributesForGroup :
id : Guid *
[<FromBodyAttribute>] customAttributes : IList<CustomAttributeData> *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The group ID to be updated. - customAttributes
- Type: System.Collections.GenericIListCustomAttributeData
The list of CustomAttributeData objects to be updated. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResultA
GroupData object containing the group data, or a status code indicating the problem.
See Also